Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicEditorPaneUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TextUI
                  |
                  +--javax.swing.plaf.basic.BasicTextUI
                        |
                        +--javax.swing.plaf.basic.BasicEditorPaneUI

Direct Known Subclasses:
  BasicTextPaneUI

public class BasicEditorPaneUI
extends BasicTextUI

Provides the look and feel for a JEditorPane.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Inner classes inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`BasicEditorPaneUI()` Creates a new BasicEditorPaneUI.

Method Summary
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for the JTextPane.
`EditorKit` | `getEditorKit(JTextComponent tc)` Fetches the EditorKit for the UI.
`protected java.lang.String` | `getPropertyPrefix()` Fetches the name used as a key to lookup properties through the UIManager.

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicEditorPaneUI

    public BasicEditorPaneUI()

  Creates a new BasicEditorPaneUI.

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Creates a UI for the JTextPane.
  Parameters:
    `c` - the JTextPane component
  Returns:
    the UI

### getPropertyPrefix

    protected java.lang.String getPropertyPrefix()

  Fetches the name used as a key to lookup properties through the UIManager. This is used as a prefix to all the standard text properties.
  Returns:
    the name ("EditorPane")
  Overrides:
    getPropertyPrefix in class BasicTextUI

### getEditorKit

    public EditorKit getEditorKit(JTextComponent tc)

  Fetches the EditorKit for the UI. This is whatever is currently set in the associated JEditorPane.
  Returns:
    the editor capabilities
  Overrides:
    getEditorKit in class BasicTextUI
  See Also:
    `TextUI.getEditorKit(javax.swing.text.JTextComponent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.